import React from 'react';
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Spinner,
  Pane,
  Content
} from '../components'

export default function spinnerStory (module) {
  storiesOf('Spinner', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={10}>
          <Content markdown>
{`
# Spinner

The Spinner component. Implement the \`<Box />\` component.

defaultProps:
\`width: '32px'\`
\`height: '32px'\`

\`\`\`
<Spinner />
\`\`\`

`}
          </Content>
          <Spinner />
        </Pane>
      </App>
    ))
}
